################################################################
#               Amlodipine Example                             #
#         Effect size: mean difference                         #
#         Topic: Publication bias                              #
################################################################
#
# Data in the first group (sample size, mean, and variance
n1    <- c(    46,     30,     75,     12,     32,     31,     27,     46)
x1    <- c(0.2316, 0.2811, 0.1894, 0.0930, 0.1622, 0.1837, 0.6612, 0.1366)
var1  <- c(0.2254, 0.1441, 0.1981, 0.1389, 0.0961, 0.1246, 0.7060, 0.1211)
#
# Data in the second group (sample size, mean, and variance
n2    <- c(     48,     26,     72,     12,     34,     31,      27,      47)
x2    <- c(-0.0027, 0.0270, 0.0443, 0.2277, 0.0056, 0.0943, -0.0057, -0.0057)
var2  <- c( 0.0007, 0.1139, 0.4972, 0.0488, 0.0955, 0.1734,  0.9891,  0.1291)
#
#
# Calculate the difference of means
Di   <- x1 - x2
# Calculate the variance estimate
var.Di <- var1 / n1 + var2 / n2
#
# Load meta package
library(meta)
#
# Generic inverse variance meta-analysis
meta1 <- metagen(Di, sqrt(var.Di), sm="MD")
# 
# Funnel plot
funnel(meta1)
#
# Model 1
plot(sqrt(var.Di), Di, pch=2,cex=2, main="Model 1")
# Model 2
plot(1/sqrt(var.Di), Di/sqrt(var.Di),pch=2, cex=2, main="Model 2")
#
# Egger's test is default method
metabias(meta1)
# Number of studies too small; change the minimum number
metabias(meta1, k.min = 8)
# 
metabias(meta1, k.min = 8, method.bias="mm")
#
