##############################################################################################
# Zhang, Y et al. (2015): Caffeine and diuresis during rest and exercise: A meta-analysis    #
# J Sci Med Sport: 18(5), 569-574. doi:10.1016/j.jsams.2014.07.017                           #
#                                                                                            #
# Objective: Although ergogenic, acute caffein ingestion may increase urine volume,          #
# prompting concerns about fluid balance during exercise and sport events. This meta-analysis #
# evaluated caffeine induced diuresis in adults during rest and exercise:                    #
#                                                                                            #
# Effect size: Standardized mean difference somparing caffeine ingestion and non-caffeine    #
# conditions. Positive values favour diuresis.                                                #
#                                                                                            #
# Data: Effect size estimate plus 95% confidence interval                                    #
##############################################################################################
smd   <- c(1.77, 1.16,  1.05,  0.95, 0.93,  0.78, 0.70,  0.63,  0.49,  0.48,  0.41,  0.39,  0.33,  0.28,  0.27,  0.24,  0.22,  0.20,  0.19,  0.07,  0.03,  0.00, -0.08, -0.11, -0.11, -0.25, -0.27, -0.31)
lb.ci <- c(0.83, 0.21, -0.07, -0.08, 0.45, -0.05, 0.07, -0.44, -0.51, -0.22, -0.58, -0.06, -0.33, -0.36, -0.79, -0.56, -0.49, -0.24, -0.86, -0.57, -0.84, -0.65, -0.70, -0.74, -0.83, -0.89, -0.63, -0.67)
ub.ci <- c(2.71, 2.10,  2.17,  1.99, 1.41,  1.61, 1.34,  1.71,  1.48,  1.18,  1.40,  0.83,  0.98,  0.92,  1.32,  1.05,  0.94,  0.63,  1.24,  0.70,  0.91,  0.65,  0.54,  0.53,  0.61,  0.38,  0.09,  0.06)
# Compare the half-lengths of the intervals
smd - lb.ci
ub.ci - smd
