library(meta)
library(metafor)
#################################################################
# Postoperative nausea and vomiting are common complications    #
# following surgery and anaesthesia. As an alternative to       #
# drug therapy, acupuncture has been studied as a potential     #
# treatment in several trials. The dataset contains the results # 
# from 16 clinical trials examining the effectiveness of wrist  #
# acupuncture point P6 stimulation for preventing postoperative #
# nausea.                                                       #
#################################################################
# Data from R package metafor
data(dat.lee2004)
dat.lee2004
# Analysis in R package metafor
( res <- rma(measure="OR", ai=ai, n1i=n1i, ci=ci, n2i=n2i, data=dat.lee2004) )
#
# Funnel Plot
funnel(res)
# Trim-and-fill method
tf.res <- trimfill(res)
summary(tf.res)
funnel(tf.res)
hc(res)
#
# Analysis in R package meta
( res1 <- metabin(event.e=ai, n.e=n1i, event.c=ci, n.c=n2i, sm="OR", data=dat.lee2004) )
c(res1$TE.fixed, res1$TE.random)
tf.res1 <- trimfill(res1)
summary(tf.res1)
funnel(tf.res1)
