library(meta)
library(metafor)
#
# Load BCG data
dat <- dat.colditz1994
#
# Analysis in R package meta
# Total sample sizes
dat$n.e <- dat$tpos + dat$tneg
dat$n.c <- dat$cpos + dat$cneg
mr1 <- metabin(event.e=tpos, n.e=n.e, event.c=cpos, n.c=n.c, sm="RR", data=dat)
summary(mr1)
forest(mr1)
# Subgroup analysis using update function and byvar option
mr2 <- update(mr1, byvar=alloc)
summary(mr2)
mr3 <- update(mr2, hakn=TRUE)
summary(mr3)
# Assume common tau^2 in all groups
mr4 <- update(mr3, tau.common=TRUE)
summary(mr4)
#
# Meta-regression in R package meta
# metareg wrapper function rma.uni function from R package metafor
args(metareg)
# One covariate
metareg(mr1, ablat)
# Subgroup analysis assuming common tau
metareg(mr1, alloc, hakn=TRUE)
# Two covariate
metareg(mr1, formula = ~ ablat + alloc)